# ThreadObject_MorphOS Class Reference

MorphOS version for ThreadObject. More...

Inheritance diagram for ThreadObject_MorphOS:

## Public Member Functions

| ThreadObject_MorphOS (OTTDThreadFunc proc, void *param, self_destruct)
| Create a sub process and start it, calling proc(param).
bool | Exit ()
| Exit this thread.
void | Join ()
| Join this thread.
bool | IsCurrent ()

## Static Private Member Functions

static void | Proxy (void)
| On thread creation, this function is called, which calls the real startup function.

## Private Attributes

APTR | m_thr
| System thread identifier.
struct MsgPort * | m_replyport
struct OTTDThreadStartupMessage | m_msg
bool | self_destruct

## Detailed Description

MorphOS version for ThreadObject.

Definition at line 57 of file thread_morphos.cpp.

## Member Function Documentation

static void ThreadObject_MorphOS::Proxy | ( | void |  | ) | `[inline, static, private]`

On thread creation, this function is called, which calls the real startup function.

This to get back into the correct instance again.

Definition at line 160 of file thread_morphos.cpp.

References OTTDThreadStartupMessage::arg, OTTDThreadStartupMessage::func, KPutStr(), and OTTDThreadStartupMessage::msg.

Referenced by ThreadObject_MorphOS().

The documentation for this class was generated from the following file:

- src/thread_morphos.cpp